HP-SETUP does not detect Officejet_4500_G510a

Bug #864656 reported by Robert Armstrong on 2011-10-02
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Sanjay Kumar

Bug Description

Use Slackware 13.37. Had a Deskjet 1000 which broke. Deskjet remains default printer. "lpr -P Officejet... textfile" prints to Officejet. HPLIP (ver.3.11.3a) detects both Deskjet and "Officejet 4500 G510a-f", printer and FAX. hp-setup says it finds no devices. If HPLIP finds it, why cannot hp-setup? (And question: how get rid of Deskjet 1000 as default printer?)

Sanjay Kumar (sanjay-kumar14) wrote :

Hi,

Thanks for reporting the bug. Can you try following things?

1) Open terminal and run "hp-toolbox" command.
2) On left hand side please select Officejet.. print queue.
3) Go to "Printer control " Tab and then press "Set as Default"
4) Now you can run "lpr textfile" command for printing.

Thanks,
Sanjay

Changed in hplip:
assignee: nobody → Sanjay Kumar (sanjay-kumar14)

Sanjay,

Thanks for your response. I tried to do what you said.

HP toolbox comes up with two error boxes in corner;
        HPLIP Device Status; Officejet_4500_G510a-f Printer(CN....); Device communication error(5012)
    and the same for FAX.

The console message is:

HP Linux Imaging and Printing System (ver. 3.11.3a)
HP Device Manager ver. 15.0

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: Reportlab not installed. Fax coverpages disabled.
warning: Please install version 2.0+ of Reportlab for coverpage support.

I selected Officejet on the left but saw nothing about a print queue.

When I went to printer control and tried to select as default printer, the console message was:

error:  Set printer queue as default operation fails. Could not connect to CUPS Server  Is user added to "lp" group(s)

This is pretty complicated. Any suggestion would help.

===Bob Armstrong===

________________________________
From: Sanjay Kumar <email address hidden>
To: <email address hidden>
Sent: Sunday, October 2, 2011 10:10 PM
Subject: [Bug 864656] Re: HP-SETUP does not detect Officejet_4500_G510a

Hi,

Thanks for reporting the bug. Can you try following things?

1) Open terminal and run "hp-toolbox" command.
2) On left hand side please select Officejet..  print queue.
3) Go to "Printer control " Tab and then press "Set as Default"
4) Now you can run "lpr textfile" command for printing.

Thanks,
Sanjay

** Changed in: hplip
    Assignee: (unassigned) => Sanjay Kumar (sanjay-kumar14)

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/864656

Title:
  HP-SETUP does not detect Officejet_4500_G510a

Status in HP Linux Imaging and Printing:
  New

Bug description:
  Use Slackware 13.37. Had a Deskjet 1000 which broke.  Deskjet remains
  default printer. "lpr -P Officejet... textfile" prints to Officejet.
  HPLIP (ver.3.11.3a) detects both Deskjet and "Officejet 4500 G510a-f",
  printer and FAX. hp-setup says it finds no devices. If HPLIP finds it,
  why cannot hp-setup? (And question: how get rid of Deskjet 1000 as
  default printer?)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/864656/+subscriptions

Sanjay Kumar (sanjay-kumar14) wrote :

Hi,

=> Can you add the user (user id, with which you log in) in "lp" and "sys" groups .

=>Remove all the print queues as follows:
 => Open terminal and the run "hp-toolbox" command
        => Press on (-) button and then select all entries and press Remove.

=>Add new Print Queue.
 => Open terminal and the run "hp-toolbox" command
        => Press on (+) button and then select "Universal Serial Bus" i.e 1st option or 2nd option.
 => Then follow on screen instructions till the end.

=> Now try the steps mentioned before.

Thanks,
Sanjay

Robert Armstrong (bobxarm) wrote :

Sanjay,

Thank you for that excellent email. It led me down some paths I did not know existed (such as groups for various commands). Also, I was actually able to follow the steps you gave. My Officejet4500 is now my default printer, and "lpr" goes to it. An unfortunate fact still exists: when I have more that 60-70 lines in my text file, the second page is horribly mangled. The first page is fine. The second page starts off right, and then over groups of about 9/16 inch there are overstrikes, and it takes a long time to chew out an undecipherable page with horizontal lines every 9/16 inch. Is there a fix for that? A bit wider, is there any book that covers some of the topics (in general especially, or in detail) that one needs to know in order to customize the system?

===Robert Armstrong===

________________________________
From: Sanjay Kumar <email address hidden>
To: <email address hidden>
Sent: Monday, October 3, 2011 11:44 PM
Subject: [Bug 864656] Re: HP-SETUP does not detect Officejet_4500_G510a

Hi,

=> Can you add the user (user id, with which you log in) in "lp" and
"sys" groups .

=>Remove all the print queues as follows:
    => Open terminal and the run "hp-toolbox" command
        => Press on (-) button and then select all entries and press Remove.

=>Add new Print Queue.
    => Open terminal and the run "hp-toolbox" command
        => Press on (+) button and then select "Universal Serial Bus" i.e 1st option  or 2nd option.
    => Then follow on screen instructions till the end.

=> Now try the steps mentioned before.

Thanks,
Sanjay

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/864656

Title:
  HP-SETUP does not detect Officejet_4500_G510a

Status in HP Linux Imaging and Printing:
  New

Bug description:
  Use Slackware 13.37. Had a Deskjet 1000 which broke.  Deskjet remains
  default printer. "lpr -P Officejet... textfile" prints to Officejet.
  HPLIP (ver.3.11.3a) detects both Deskjet and "Officejet 4500 G510a-f",
  printer and FAX. hp-setup says it finds no devices. If HPLIP finds it,
  why cannot hp-setup? (And question: how get rid of Deskjet 1000 as
  default printer?)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/864656/+subscriptions

Sanjay Kumar (sanjay-kumar14) wrote :

Hi,

Thanks for the update. However to find the root cause of the new issue, I need some logs. Please follow following steps and send me the logs.

a)Open /etc/cups/cupsd.conf in root mode and replace

        LogLevel warn

          with

       LogLevel debug
       hpLogLevel 15

    b) Open Terminal and run following commands:
       => su
       => /etc/init.d/cups restart
                  or
       => service cups restart
       => cd /tmp
       => rm *.out
       => rm *.bmp
       => hp-check -t > /tmp/hpcheck.log

    c) Try to print the file and then send
          => /var/log/syslog (if present),
          => /var/log/messages (if present),
          => /var/log/cups/error_log
          => /tmp/*.bmp
          => /tmp/*.out
          => /tmp/hpcheck.log

Thanks,
Sanjay

Robert Armstrong (bobxarm) wrote :

Sanjay,

Unfortunately, everything failed to mesh this time. I set Loglevel debug. As there was no cups program nor "service" program, I rebooted, hoping that would do. Hp-check gets stuck somewhere and does not report anything. I could try to send the other logs anyway. Also, whenever HPLIP programs run, they complain there is no ReportLab. And I have ver 2.11.3a of HPLIP. I am hesitant to install a later version, as package replacement is a chancy business in my opinion, but I would do so if it would help.

=====Robert Armstrong====

________________________________
From: Sanjay Kumar <email address hidden>
To: <email address hidden>
Sent: Tuesday, October 4, 2011 11:19 PM
Subject: [Bug 864656] Re: HP-SETUP does not detect Officejet_4500_G510a

Hi,

Thanks for the update. However to find the root cause of the new issue,
I need some logs. Please follow following steps and send me the logs.

a)Open /etc/cups/cupsd.conf in root mode and replace

        LogLevel warn

          with

      LogLevel debug
      hpLogLevel 15

    b) Open Terminal and run following commands:
      => su
      => /etc/init.d/cups restart
                  or
      => service cups restart
      => cd /tmp
      => rm *.out
      => rm *.bmp
      => hp-check -t > /tmp/hpcheck.log

    c) Try to print the file and then send
          => /var/log/syslog (if present),
          => /var/log/messages (if present),
          => /var/log/cups/error_log
          => /tmp/*.bmp
          => /tmp/*.out
          => /tmp/hpcheck.log

Thanks,
Sanjay

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/864656

Title:
  HP-SETUP does not detect Officejet_4500_G510a

Status in HP Linux Imaging and Printing:
  New

Bug description:
  Use Slackware 13.37. Had a Deskjet 1000 which broke.  Deskjet remains
  default printer. "lpr -P Officejet... textfile" prints to Officejet.
  HPLIP (ver.3.11.3a) detects both Deskjet and "Officejet 4500 G510a-f",
  printer and FAX. hp-setup says it finds no devices. If HPLIP finds it,
  why cannot hp-setup? (And question: how get rid of Deskjet 1000 as
  default printer?)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/864656/+subscriptions

Sanjay Kumar (sanjay-kumar14) wrote :

Hi Robert,

Thanks for the update. Can you send the remaining logs?? BTW does following command also fail??

hp-check -t

Thanks,
Sanjay

Robert Armstrong (bobxarm) wrote :

Sanjay,

I will try to make clean copies of the logs (clean of earlier material) later today. I really appreciate your support of my ignorance.

===Robert Armstrong===

________________________________
From: Sanjay Kumar <email address hidden>
To: <email address hidden>
Sent: Thursday, October 6, 2011 11:31 PM
Subject: [Bug 864656] Re: HP-SETUP does not detect Officejet_4500_G510a

Hi Robert,

Thanks for the update. Can you send the remaining logs??  BTW does
following command also fail??

hp-check  -t

Thanks,
Sanjay

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/864656

Title:
  HP-SETUP does not detect Officejet_4500_G510a

Status in HP Linux Imaging and Printing:
  New

Bug description:
  Use Slackware 13.37. Had a Deskjet 1000 which broke.  Deskjet remains
  default printer. "lpr -P Officejet... textfile" prints to Officejet.
  HPLIP (ver.3.11.3a) detects both Deskjet and "Officejet 4500 G510a-f",
  printer and FAX. hp-setup says it finds no devices. If HPLIP finds it,
  why cannot hp-setup? (And question: how get rid of Deskjet 1000 as
  default printer?)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/864656/+subscriptions

Robert Armstrong (bobxarm) wrote :
Download full text (51.3 KiB)

Sanjay, I did my best on this: Hope you can make something of it.

===Robert Armstrong===

==================================================
Running hp-check. The program loops. It is necessary to kill it with ctrl-c
This is hpcheck.log after hp-check -t > /tmp/hpcheck.log
=========================================================
HP Linux Imaging and Printing System (ver. 3.11.3a)
Dependency/Version Check Utility ver. 14.3

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or
.run) to determine if the proper dependencies are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an
already built HPLIP supplied tarball has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both
compile- and run-time dependencies).

Saving output in log file: hp-check.log

Initializing. Please wait...

Done.
=================================
hp-check.log:
=================================
hp-check[2547]: info: :
Initializing. Please wait...
error: User exit
hp-check[2547]: info: :
hp-check[2547]: info: :Done.

============================================
Command "lpr ctest",100 lines. Result is good first page of 63 lines,
as always, followed by a second page beginning with line 64, but with
each group of three lines overstruck by other (earlier?) lines. The
print job finishes cleanly when the end of the second page is ejected.

/var/log/syslog for date
==============================================
Oct  7 07:25:06 susa5 kernel: [    0.463442] highmem bounce pool size: 64 pages
Oct  7 07:25:06 susa5 kernel: [    0.472422] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
Oct  7 07:25:06 susa5 kernel: [    0.473268] DLM (built Apr  9 2011 23:32:52) installed
Oct  7 07:25:06 susa5 kernel: [    0.486177] OCFS2 User DLM kernel interface loaded
Oct  7 07:25:06 susa5 kernel: [    0.488754] GFS2 (built Apr  9 2011 23:33:12) installed
Oct  7 07:25:06 susa5 kernel: [    3.947366] Compaq SMART2 Driver (v 2.6.0)
Oct  7 07:25:06 susa5 kernel: [    3.956609] scsi: <fdomain> Detection failed (no card)
Oct  7 07:25:06 susa5 kernel: [    3.957989] Emulex LightPulse Fibre Channel SCSI driver 8.3.18
Oct  7 07:25:06 susa5 kernel: [    3.958116] Copyright(c) 2004-2009 Emulex.  All rights reserved.
Oct  7 07:25:06 susa5 kernel: [    3.980055] Failed initialization of WD-7000 SCSI card!
Oct  7 07:25:06 susa5 kernel: [    4.072255] GDT-HA: Storage RAID Controller Driver. Version: 3.05
Oct  7 07:25:06 susa5 kernel: [    4.072686] 3ware Storage Controller device driver for Linux v1.26.02.003.
Oct  7 0...

Sanjay Kumar (sanjay-kumar14) wrote :

Hi Robert,

Sorry for the late response. Are you still facing the issue?? The logs provided above look fine. I wanted to get the following files as well to analyze the issue.

          => /tmp/*.bmp
          => /tmp/*.out
          => document used for printing

Thanks,
Sanjay

Changed in hplip:
status: New → In Progress
Robert Armstrong (bobxarm) wrote :

Sanjay,

I thought you had forgotten about me. Thanks for the response. I still face the issue. I will try to send those logs in a few days, as I am in the middle of something. (Life must go on even when your printer does not work.)

===Robert===

________________________________
From: Sanjay Kumar <email address hidden>
To: <email address hidden>
Sent: Wednesday, November 9, 2011 3:14 AM
Subject: [Bug 864656] Re: HP-SETUP does not detect Officejet_4500_G510a

Hi Robert,

Sorry  for the late response.  Are you still facing the issue??  The
logs provided above look fine. I wanted to get the following files as
well to analyze the issue.

          => /tmp/*.bmp
          => /tmp/*.out
          => document used for printing

Thanks,
Sanjay

** Changed in: hplip
      Status: New => In Progress

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/864656

Title:
  HP-SETUP does not detect Officejet_4500_G510a

Status in HP Linux Imaging and Printing:
  In Progress

Bug description:
  Use Slackware 13.37. Had a Deskjet 1000 which broke.  Deskjet remains
  default printer. "lpr -P Officejet... textfile" prints to Officejet.
  HPLIP (ver.3.11.3a) detects both Deskjet and "Officejet 4500 G510a-f",
  printer and FAX. hp-setup says it finds no devices. If HPLIP finds it,
  why cannot hp-setup? (And question: how get rid of Deskjet 1000 as
  default printer?)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/864656/+subscriptions

Sanjay,

Is this still your email address? I tried to send the bmp files you requested from my failed prints but the message came back several times. Once to me--did I try to send it to myself? And several from other people pondering a mysterious system message. It appears that the bmp files were too long for email.

I can print a (one page) text file with lpr and a one page bmp file with gwenview. I'd love to get this figured out. Would I be able to mail you a CD with all the files on it?

===Bob Armstrong===

To everyone on my address list:

Someone has sent an email recommending some sort of online business to everyone on my Yahoo email address list. I did not send it. I will try to see whether Yahoo can stop such things.

===Robert Armstrong===

Jiri Sasek (jurasek) wrote :

Please check the following root-cause:
Officejet 4500 G510a is supported via HPIJS and the CUPS filter is set to:
 /usr/lib/cups/filter/foomatic-rip-hplip
taking this value from .ppd . Because such filter do not exist CUPS logs an error and go back to idle.

If HPIJS is switched off (by configure option) this printer is not supported anymore.

How to convert HPIJS .ppd's to HPLIP with fixing of the non-existing filter?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers